Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

The usage of ActiveSupport::Deprecation.warn has been deprecated in Rails 7.1 and has been removed in Rails 7.2.

The attached patch fixes the deprecated usage by replacing ActiveSupport::Deprecation with a custom deprecation object.

In Rails 7.1.2, calling ActiveSupport::Deprecation.warn produces the following deprecation warning:

$ bin/rails r 'ActiveSupport::Deprecation.warn("warning!")'

DEPRECATION WARNING: warning! (called from require at bin/rails:4)

DEPRECATION WARNING: Calling warn on ActiveSupport::Deprecation is deprecated and will be removed 

from Rails (use your own Deprecation object instead) (called from require at bin/rails:4)

 In Rails 7.2.0, the method is removed, resulting in an error:

$ bin/rails r 'ActiveSupport::Deprecation.warn("warning!")'

Please specify a valid ruby command or the path of a script to run.

Run 'bin/rails runner -h' for help.

private method `warn' called for class ActiveSupport::Deprecation

Related issues:

Related to Redmine - Feature #36320: Migrate to Rails 7.2 Closed

Associated revisions

Revision 22961 - 2024-08-20 07:58 - Marius BĂLTEANU

Replaces removed `ActiveSupport::Deprecation.warn` with custom deprecators (#41141, #36320).

Patch by Takashi Kato (user:tohosaku).

History

#1 - 2024-08-20 08:02 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

Fixed in r22961 as part of #36320.

#2 - 2024-08-20 08:02 - Marius BĂLTEANU

- Related to Feature #36320: Migrate to Rails 7.2 added

Files

0001-Replace-deprecated-ActiveSupport-Deprecation.warn-wi.patch 4.51 KB 2024-08-12 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-04-03 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/22961
https://www.redmine.org/issues/36320
http://www.tcpdf.org

